description

# MediaKeySession class Null safety

Inheritance
  - Object
  - EventTarget
  - MediaKeySession
Annotations
  - @Native("MediaKeySession")

## Properties

closed → Future<void>
  read-only
expiration → num?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
keyStatuses → MediaKeyStatusMap?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onMessage → Stream<MessageEvent>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sessionId → String?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
close() → Future
dispatchEvent(Event event) → bool
  inherited
generateRequest(String initDataType, dynamic initData) → Future
load(String sessionId) → Future
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
remove() → Future
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

messageEvent → const EventStreamProvider<MessageEvent>
  `const EventStreamProvider<MessageEvent>('message')`